Bug 71908

Summary: calendar-print: option to switch on lines would be great
Product: [Applications] korganizer Reporter: Andreas Bergen <andreas.bergen>
Component: printingAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: wishlist CC: christophe
Priority: NOR    
Version: 3.1.1   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In:

Description Andreas Bergen 2004-01-05 15:02:21 UTC
Version:           3.1.1 (using KDE 3.1.2)
Installed from:    SuSE
Compiler:          gcc version 3.3 20030226 (prerelease) (SuSE Linux)
OS:          Linux (i686) release 2.4.20-4GB-athlon

I use the printed version of the calendar in my filofax (A5). Therefore it would be great to have some lines in the weekly-view (optional) where I can write on with a pen.
Comment 1 Reinhold Kainhofer 2006-11-02 19:33:56 UTC
Reassigning all KOrganizer bug reports and wishes to the newly created 
korganizer-devel mailing list.
Comment 2 Matt Rogers 2009-01-08 06:04:27 UTC
SVN commit 907451 by rgoodheart:

These changes also address some print overflow issues that were still 
happening but were not reported.

GUI:
        gui changes to configuration dialogs

BUG: 102473  
        Print month does not produce color output - events now in
category 
colors 
BUG: 144809  
        Calendar will not print in color - category colors for 
incidence,day,week and month 
BUG: 102598  
        Print Locations,Descriptions, etc. on Filofax week pages -
additional 
info added  
BUG: 104731  
        include date when printing month view on paper - date now
printed on 
the bottom of page
BUG: 167751  
        Printing jounral entries with richtext from korganizer print
html-tags
        rich text is converted to plain text before printing for now on
all 
print types rather than printing the html 

FEATURE: 71908   
        calendar-print: option to switch on lines would be great -
added 
optional note lines
FEATURE: 83689   
        Support printing of arbitrary date ranges - day range supports 
arbitrary range
        (patch from David Faure incorporated  - feature in day print
to print 
selected range on one page
FEATURE: 110690  
        Print "Month view" does not print all events - triangle printed
in 
lower right hand side of display box if the print overflows the box and all 
information is not displayed 



 M  +164 -114  calprintdayconfig_base.ui  
 M  +96 -31    calprintdefaultplugins.cpp  
 M  +9 -0      calprintdefaultplugins.h  
 M  +95 -90    calprintincidenceconfig_base.ui  
 M  +48 -18    calprintmonthconfig_base.ui  
 M  +248 -106  calprintpluginbase.cpp  
 M  +45 -6     calprintpluginbase.h  
 M  +41 -13    calprinttodoconfig_base.ui  
 M  +50 -34    calprintweekconfig_base.ui  

WebSVN link: http://websvn.kde.org/?view=rev&revision=907451